#
# SQL
#
import sqlite3

# připojení k SQLite-databázi
connection = sqlite3.connect('../monitory.sqlite')
cursor = connection.cursor()

# zpracování dat
cursor.execute('''
    SELECT * FROM monitory;
''')

# HTML-data odpovědi
body = ''

# styly
body += '''
<style>
    tr:nth-child(2n) {}
    tr:nth-child(2n+1) { background-color: lightblue; }
</style>
'''
# tabulka
body += '<table border>\n'
# hlavičkový řádek
body += '<tr style="background-color: yellow;">\n'
body += '''
    <th>brand</th>
    <th>model</th>
    <th>size</th>
    <th>hres</th>
    <th>vres</th>
    <th>aspect</th>
    <th>inputs</th>
    <th>support</th>
    <th>year</th>
    <th>comments</th>
'''
body += '</tr>\n'
# data
for řádka in cursor:
    _, brand, model, size, hres, vres, aspect, inputs, support, year, comments = řádka
    body += f'''
        <tr>
            <td>{brand}</td>
            <td>{model}</td>
            <td>{size}</td>
            <td>{hres}</td>
            <td>{vres}</td>
            <td>{aspect}</td>
            <td>{inputs}</td>
            <td>{support}</td>
            <td>{year}</td>
            <td>{comments}</td>
        </tr>
    '''
# konec
body += '</table>\n'

# uzavření spojení
cursor.close()
connection.close()

# kontrola
#print(body)
#exit()



#
# WSGI-klient
#
def application(environ, start_response):
    data = bytes(body, encoding='utf-8')
    response_headers = [
        ("Content-type", "text/html; charset=UTF-8"),
        ("Content-length", str(len(data)) ),
    ]
    start_response("200 OK", response_headers)
    return [data,]
 
# WSGI-server (spuštěn pro jednu odpověď)
from wsgiref.simple_server import make_server

server = make_server('localhost', 8080, application)
server.handle_request()
